<app-inner-header></app-inner-header>

<div class="float-right">
  <button class="btn btn-primary" (click)="goToCreateEmployee()">
    <fa-icon [icon]="icons.create" size="2x"></fa-icon>
  </button>
</div>

<table class="table">
  <thead>
    <tr>
      <th scope="col">id</th>
      <th scope="col">First Name</th>
      <th scope="col">Last Name</th>
      <th scope="col">PESEL</th>
      <th scope="col" class="text-center" colspan="3">Actions</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let employee of employees, index as i">
      <th scope="row">{{ i + 1 }}</th>
      <td>{{ employee.firstName }}</td>
      <td>{{ employee.lastName }}</td>
      <td>{{ employee.pesel }}</td>
      <!-- VIEW DETAILS -->
      <td>
        <button class="btn btn-light" (click)="viewDetails(employee)">
          <fa-icon [icon]="icons.details" size="2x"></fa-icon>
        </button>
      </td>
      <!-- EDIT -->
      <td>
        <button class="btn btn-light" (click)="editEmployee(employee)">
          <fa-icon [icon]="icons.edit" size="2x"></fa-icon>
        </button>
      </td>
      <!-- DELETE -->
      <td>
        <button class="btn btn-light" (click)="deleteEmployee(employee)">
          <fa-icon [icon]="icons.delete" size="2x"></fa-icon>
        </button>
      </td>
    </tr>
  </tbody>
</table>